dbXML API

## org.dbxml.core.filer
Class BTreeCorruptException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.dbxml.server.dbXMLException
                        |
                        +--org.dbxml.core.DBException
                              |
                              +--org.dbxml.core.filer.FilerException
                                    |
                                    +--org.dbxml.core.filer.BTreeException
                                          |
                                          +--org.dbxml.core.filer.BTreeCorruptException

All Implemented Interfaces:
  java.io.Serializable

public final class BTreeCorruptException
extends BTreeException

A BTreecorruptException is thrown by the BTree if the BTree appears to be corrupted in some way.

See Also:
  Serialized Form

Fields inherited from class org.dbxml.core.DBException
`faultCode`

Constructor Summary
`BTreeCorruptException()`
`BTreeCorruptException(java.lang.String message)`

Methods inherited from class org.dbxml.server.dbXMLException
`getWrappedThrowable, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BTreeCorruptException

    public BTreeCorruptException()

### BTreeCorruptException

    public BTreeCorruptException(java.lang.String message)

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved